.chart-container {
    position: relative;
    text-align: center;
}

.chart-title {
    font-family: sans-serif;
    font-size: 40px;
    font-weight: bold;
    padding-top: 40;
    padding-bottom: 0;
}

#chart-div {
    width: 1600px;
    height: 800px;
    position: relative;
}

#chart {
    width: 90%;
    height: 90%;
    margin-bottom: 200;
    margin-left: 0;
    margin-right: auto;
    border: 3px solid;
    border-color: white;
    position: relative;
    /* Adjust the value as needed */
}

.legend-container {
    position: absolute;
    top: 0;
    right: 0;
    margin-top: 46px;
    width: 150px;
    height: 100px;
}

.legend {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.legend circle {
    fill: none;
    stroke-width: 2px;
}

.legend text {
    font-family: sans-serif;
    font-size: 14px;
    margin-left: 8px;
}

.node {
    stroke-width: 3px;
    stroke: white;
}

.node:hover {
    stroke-width: 3px;
    stroke: black;
}

.tooltip {
    visibility: hidden;
    background-color: rgba(0, 0, 0, 0.8);
    color: #fff;
    padding: 10px;
    font-size: 12px;
    font-family: sans-serif;
    text-align: justify;
    border-radius: 7px;
    z-index: 50;
}

#tooltip-content {
    margin-bottom: 6px;
}

.zoom-buttons {
    margin-top: 10px;
}

.zoom-buttons button {
    background: none;
    border: none;
    cursor: pointer;
    padding: 5px;
    font-size: 16px;
    color: #555;
}

.zoom-buttons button:hover {
    color: #000;
}

.buttons-container {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
}

.zoom-in-button,
.zoom-out-button,
.reset-button {
    margin: 0 5px;
    padding: 5px;
}